Source: linux-%KREL%
Section: kernel
Priority: optional
Maintainer: Arnaud Ferraris <arnaud.ferraris@gmail.com>
Build-Depends:
 bc,
 bison,
 cpio,
 debhelper-compat (=13),
 flex | flex:native,
 kmod,
 libssl-dev:native,
 rsync,
Standards-Version: 4.6.0
Homepage: https://gitlab.com/mobian1/devices/linux-arm64-mobian
Vcs-Git: https://gitlab.com/mobian1/devices/linux-arm64-mobian.git
Vcs-Browser: https://gitlab.com/mobian1/devices/linux-arm64-mobian
Rules-Requires-Root: no

Package: linux-image-%KREL%
Architecture: arm64
Depends:
 initramfs-tools,
 kmod,
 linux-base,
Provides: wireguard-modules (= 1.0.0)
Description: Linux %KREL_MAJOR% for ARM64 devices
 The linux kernel, modules and corresponding other files for ARM64
 devices supported by Mobian, including:
   * Librem 5
   * OnePlus 6/6T
   * PinePhone
   * PinePhone Pro
   * PineTab
   * Pocophone F1

Package: linux-headers-%KREL%
Architecture: arm64
Description: Linux kernel headers for ARM64 devices
 This package provides kernel header files for the arm64-mobian kernel.
 .
 This is useful for people who need to build external modules

Package: linux-image-%KREL%-dbg
Section: debug
Architecture: arm64
Description: Linux kernel debugging symbols for ARM64 devices
 This package will come in handy if you need to debug the kernel. It provides
 all the necessary debug symbols for the kernel and its modules.
